using UnityEngine;
using System.Collections;

public class Manager : MonoBehaviour {

    public int nLanes = 2;
    GameObject[] lanes;
    public float speed = 1.0f;
	// Use this for initialization
	void Start () {
        lanes = GameObject.FindGameObjectsWithTag("wavelane");
    }
	
	// Update is called once per frame
	void Update () {
        nLanes = 2;
        if (lanes[0].GetComponent<AudioSource>().time > 17.0f) nLanes = 3;
        if (lanes[0].GetComponent<AudioSource>().time > 33.0f) nLanes = 4;
        if (lanes[0].GetComponent<AudioSource>().time > 53.0f) nLanes = 5;

	}
}
